<template>
  <v-footer
    height="auto"
    padless
    tile
    color="primary"
  >
    <v-container
      fluid
      class="pa-0"
    >
      <v-row
        dense
        class="pa-10"
      >
        <!-- first col -->
        <v-col
          cols="4"
          class="ml-12"
        >
          <v-card-text>
            <v-img
              width="219px"
              height="58px"
              contain
              :src="$t('logo.img')"
            />
          </v-card-text>
        </v-col>
        <!-- end first col -->
        <!-- second col -->
        <v-col>
          <p>
            <a
              class="white--text footer font-weight-light"
              :href="$t('links.url.cgu')"
            >{{ $t('links.label.cgu') }}</a>
          </p>
          <p>
            <a
              class="white--text footer font-weight-light"
              :href="$t('links.url.communities')"
            >{{ $t('links.label.communities') }}</a>
          </p>
          <p>
            <a
              class="white--text footer font-weight-light"
              :href="$t('links.url.events')"
            >{{ $t('links.label.events') }}</a>
          </p>
          <p>
            <a
              class="white--text footer font-weight-light"
              :href="$t('links.url.faq')"
            >{{ $t('links.label.faq') }}</a>
          </p>
          <p>
            <a
              class="white--text footer font-weight-light"
              :href="$t('links.url.prime')"
            >{{ $t('links.label.prime') }}</a>
          </p>
        </v-col>
        <!-- end second col -->
        <!-- third col -->
        <v-col>
          <p>
            <a
              class="white--text footer font-weight-light"
              :href="$t('links.url.datas')"
            >{{ $t('links.label.datas') }}</a>
          </p>
          <p>
            <a
              class="white--text footer font-weight-light"
              :href="$t('links.url.terms')"
            >{{ $t('links.label.terms') }}</a>
          </p>
          <p>
            <a
              class="white--text footer font-weight-light" 
              :href="$t('links.url.cookies')"
            >{{ $t('links.label.cookies') }}</a>
          </p>
          <p>
            <a
              class="white--text footer font-weight-light"
              :href="$t('links.url.contact')"
            >{{ $t('links.label.contact') }}</a>
          </p>
        </v-col>
        <!-- end third col -->

        <!-- fourth col -->
        <v-col>
          <v-card-text class="my-0 py-0 white--text footer font-weight-light">
            {{ $t('links.label.followUs') }}
          </v-card-text>

          <v-card-text class="mb-4">
            <v-row>
              <a :href="$t('links.pictos.facebook.url')">
                <v-img
                  class="ml-2 mr-4"
                  contain
                  max-height="25.6px"
                  :alt="$t('links.pictos.facebook.alt')"
                  :src="$t('links.pictos.facebook.logo')"
                />
              </a>
              <a :href="$t('links.pictos.twitter.url')">
                <v-img
                  class="ml-2 mr-4"
                  contain
                  max-height="25.6px"
                  :alt="$t('links.pictos.twitter.alt')"
                  :src="$t('links.pictos.twitter.logo')"
                />
              </a>
              <a :href="$t('links.pictos.tiktok.url')">
                <v-img
                  class="ml-2 mr-4"
                  contain
                  max-height="25.6px"
                  :alt="$t('links.pictos.tiktok.alt')"
                  :src="$t('links.pictos.tiktok.logo')"
                />
              </a>
              <a :href="$t('links.pictos.instagram.url')">
                <v-img
                  class="ml-2 mr-4"
                  contain
                  max-height="25.6px"
                  :alt="$t('links.pictos.instagram.alt')"
                  :src="$t('links.pictos.instagram.logo')"
                />
              </a>
              <a :href="$t('links.pictos.linkedin.url')">
                <v-img
                  class="ml-2 mr-4"
                  contain
                  max-height="25.6px"
                  :alt="$t('links.pictos.linkedin.alt')"
                  :src="$t('links.pictos.linkedin.logo')"
                />
              </a>
              <a :href="$t('links.pictos.youtube.url')">
                <v-img
                  class="ml-2 mr-4"
                  contain
                  max-height="25.6px"
                  :alt="$t('links.pictos.youtube.alt')"
                  :src="$t('links.pictos.youtube.logo')"
                />
              </a>
            </v-row>
          </v-card-text>

          <v-card-text class="my-0 py-0">
            <v-row>
              <a
                :href="$t('links.pictos.ios.url')"
                target="_blank"
              >
                <v-img
                  contain
                  :alt="$t('links.pictos.ios.alt')"
                  :src="$t('links.pictos.ios.logo')"
                  height="35px"
                  class="ml-2"
                />
              </a>
              <a
                :href="$t('links.pictos.android.url')"
                target="_blank"
              >
                <v-img
                  contain
                  :alt="$t('links.pictos.android.alt')"
                  :src="$t('links.pictos.android.logo')"
                  height="35px"
                  class="ml-2"
                />
              </a>
            </v-row>
          </v-card-text>
        </v-col>
        <!-- end fourth col -->
      </v-row>
      <v-row
        class="white m-5"
        justify="center"
      >
        <v-img
          class="mt-5"
          :src="$t('logosFooter')"
          alt="Logos des partenaires"
          contain
          height="170px"
        />
      </v-row>
      <v-row
        class="white" 
        justify="center"
      >
        <span class="licence pa-4">
          <a
            class="text--primary"
            :href="$t('mobicoopUrl')"
            :alt="$t('mobicoopUrlAlt')"
          >{{ $t('licence') }}</a>
        </span>
      </v-row>
      <cookies
        :show="showCookies"
        :app-name="appName"
        :auto-show="cookiesShowAuto"
        :social-networks-active="socialNetworksActive"
        :social-cookies="socialCookies"
        @dialogClosed="dialogCookiesClosed"
      />
    </v-container>
  </v-footer>
</template>

<script>
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu, messages_nl} from "@translations/components/base/MFooter/";
import {messages_client_en, messages_client_fr, messages_client_eu, messages_client_nl} from "@clientTranslations/components/base/MFooter/";
import Cookies from "@components/utilities/Cookies";
import Package from '@root/package.json'

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedNl = merge(messages_nl, messages_client_nl);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'nl': MessagesMergedNl,
      'fr': MessagesMergedFr,
      'eu': MessagesMergedEu
    }
  },
  components:{
    Cookies
  },
  props:{
    appName:{
      type: String,
      default:null
    },
    cookiesShowAuto:{
      type: Boolean,
      default: true
    },
    socialNetworksActive:{
      type: Boolean,
      default: false
    },
    socialCookies:{
      type: Array,
      default: null
    }
  },
  data() {
    return {
      version:Package.version,
      showCookies: false
    }
  },
  methods:{
    showCookiesAction(){
      this.showCookies = true;
    },
    dialogCookiesClosed(){
      this.showCookies = false;
    }
  }
};
</script>


<style lang="scss" scoped>
  .footer {
    font-size: 1.2rem;
  }
  footer {
    margin-top: 100px;
  }
  a {
    text-decoration: none;
  }
  .licence {
    font-size: 1.2rem;
  }
</style>

